/* 検索タブのボタン */
.top-tab-button {
    /* font-size: clamp(0.7rem, 2vw, 1rem); */
    font-size: clamp(1rem, 2.5vw, 1.5rem);
    letter-spacing: 5px;
    color: #555;
    background-color: #ededed;
    flex: 1;
    border: none;
    border-top-right-radius: 0.3rem;
    border-top-left-radius: 0.3rem;
    /* white-space: nowrap; */
}
.top-tab-button.active {
    /* font-size: clamp(0.7rem, 2vw, 1rem); */
    font-size: clamp(1rem, 2.5vw, 1.5rem);
    color: #000000;
    background-color: #DCEEF4;
    font-weight: bold;
    border: none;
    height: 100vh;
    max-height: 80px;
}
/* タブのコンテンツ */
.top-tab-content {
    display: none;
    background-color: #DCEEF4;
    border-bottom-right-radius: 0.3rem;
    border-bottom-left-radius: 0.3rem;
}
.top-tab-content.active {
    display: block;
    background-color: #DCEEF4;
}

/* 選択項目の枠ありのボックス */
.top-tabbox {
    color: #000000;
    background-color: #ffffff;
    padding: 8px 1rem !important;
    border: 2px solid #970b2f;
}

/* アコーディオンのボタン */
.top-accordion-btn {
    font-weight: bold;
    background: none; /* 背景を削除 */
    border: none; /* 枠を削除 */
    color: #000000; /* ボタンの色 */
    font-size: 1.5rem; /* 文字サイズを調整 */
    height: 24px; /* 高さを24pxに設定 */
    width: 24px; /* 幅も24pxに設定して正方形に */
    line-height: 24px; /* 中央揃え */
    text-align: center;
    padding: 0; /* 余白を削除 */
}
.top-accordion-btn:hover {
    color: #666666; /* ホバー時の色変更 */
}

/* H1タイトル */
.h1-title {
    border-top: 2px solid #33CBCA;
    border-bottom: 2px solid #33CBCA;
    padding: 8px 0px;
    font-size: 20px;
    span {
        border-left: 8px solid #33CBCA;
        padding-left: 8px;
        margin-left: 4px;
    }
}

/* 簡単サーチのキーワード入力フォーム */
.form-keyword-input {
    width: 80%;
    margin-bottom: 0px;
    margin-right: 16px;
}
.form-search-mode {
    max-width: 120px;
    width: 20%;
    margin-bottom: 0px;
}

/* 共通スタイル（PC用デフォルト） */
#freeword,
#searchMode {
    height: 40px;
}

/* スマホ用（幅768px未満をスマホとする例） */
@media (max-width: 768px) {
    #searchMode {
        height: 90px;
        width: 100px;
    }
}

/* 詳細検索の名前検索欄レイアウト */
.form-group {
    width: 80%;
    margin-bottom: 0px;
    margin-right: 15px;
}
.form-check{
    width: 20%;
    margin-bottom: 0px;
}

/* 表示件数 */
.count-box {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.count-box label {
    width: 40%;
}
.count-box select {
    text-align: right;
    
}
/* プルダウンメニューのデフォルトの罫線を削除 */
.form-select {
    border: none;
    box-shadow: none;
}
/* プルダウンボタンのスタイル調整 */
.dropdown-toggle::after {
    content: none !important;  /* デフォルトの▼を非表示にする */
}
/* ドロップダウンメニューを親ボタンと同じ横幅にする */
.dropdown-menu {
    width: 100%;
}

/* 検索項目選択ボタン */
.top-option {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding: 2px 24px 2px 0px;
    margin-bottom: 10px;
    border: 2px solid #970b2f;
    border-radius: 5px;
    cursor: pointer;
    text-align: center;
    user-select: none;
    background-color: #ffffff;
    transition: background-color 0.2s, color 0.2s;
    position: relative;
    font-weight: normal;
    min-height: 20px;
}
.top-option::before {
    content: "";
    display: inline-block;
    width: 1.2em;
    margin-right: 0.3em;
    color: #fff;
}
.top-checkbox:checked + .top-option {
    background-color: #970b2f;
    color: #fff;
}
.top-checkbox:checked + .top-option::before {
    content: "✓";
    display: inline-block;
}
.top-checkbox {
    display: none;
}

.checked-label {
  background-color: #970b2f;
  color: white;
  /* font-weight: bold; */
  border-radius: 4px;
  padding: 0.2rem 0.5rem;
}

.accordion-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: bold;
  font-size: 1.2rem;
  cursor: pointer;
}

/* .accordion-toggle {
  font-size: 1.5rem;
} */

.accordion-inner {
  margin-top: 1rem;
  display: none;
}

.accordion-box.open .accordion-inner {
  display: block;
}

.accordion-inner label {
  display: block;
  margin-bottom: 0.5rem;
}


/* 検索・フィルター・ソートボタン */
.submitbuttom {
    background-color: #970b2f;
    color: #fff;
    font-weight: bold;
    font-size: 20px;
    border: none;
    border-radius: 4px;
    padding: 4px 0px;
}
.filterbutton:hover,
.sortbutton:hover,
.submitbuttom:hover {
    background-color: #b31e48; /* 好きな色に */
    color: white; /* テキストが消えないように */
}
.filterbutton,
.sortbutton {
    background-color: #970b2f;
    color: #fff;
    font-size: 1rem;
    border: none;
    border-radius: 4px;
    min-width: 8rem;
    padding: 4px 0px;
    margin: 2px 2px
}

/* お知らせ */
.information {
    background-color: #DCEEF4;
    list-style: none;
    padding-left: 0; 
}

.text-start {
    width: auto;
    height: 100%;
}
/* ステップ画像 */
.step-box {
    width: 130px;
}

.step-row {
    display: flex; 
    /* justify-content: center; */
    /* align-items: center; */
    gap: 1rem;  /* アイテム間の間隔 */
}

/* .step-unit {
    display: flex;
    flex-direction: column;
    align-items: center;
} */
.step-unit {
  max-width: 130px;
  height: auto;
}

@media (max-width: 1000px) {
  .step-unit {
    max-width: 100px;
  }
}

@media (max-width: 600px) {
  .step-unit {
    max-width: 80px;
  }
}

.step-allow {
  max-width: 30px;
  height: auto;
}

@media (max-width: 1000px) {
  .step-allow {
    max-width: 25px;
  }
}

@media (max-width: 600px) {
  .step-allow {
    max-width: 20px;
  }
}

.step-label {
    font-size: clamp(0.6rem, 2vw, 1rem);
}

/* パンくずリストの ">"  */
.breadcrumb {
    font-family: "Yu Gothic", "游ゴシック", "Meiryo", sans-serif;
    --bs-breadcrumb-divider: '>';
    font-size: 1rem;
}
.breadcrumb a {
    --bs-breadcrumb-divider: '>';
    color: #000;
}

/* トップに戻るボタン */
#scrollToTop {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 100px;
    height: 100px;
    font-size: 16px;
    font-weight: bold;
    z-index: 1000;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.4s ease, visibility 0.4s ease;
}

.scroll-top-circle {
    width: 90px;
    height: 80px;
    border-radius: 50%;
    background-color: #970B2F;
    color: white;
    border: 2px solid #970B2F;
    font-size: 1.1rem;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s;
}

.scroll-top-circle:hover {
    background-color: #E59EDD;
    color: white;
    border-color: #970B2F;
}
.scroll-top-icon {
    display: block;
    margin: 0 auto;
}

.scroll-top-text {
    line-height: 1.5;
    font-family: "Yu Gothic", "游ゴシック", "Meiryo", sans-serif;
    color: white;
    font-weight: bold;
}

/* アコーディオン展開時に拡張（枠サイズ調整） */
.parent-box .collapse.show {
  padding-top: 8px;
}



/* 以下、searchページのcss */

.se-container {
    padding: 16px 24px;
    margin-top: 16px;
}

.search-result-list {
    margin-top: 2rem;
    margin-bottom: 1.5rem;
    padding: 2px 15px 1.5rem 20px; /* gap分減らす */
    background-color: #ffeeff;
}

/* 検索結果の検索条件欄 */
.search-tabbox {
    color: #ffffff;
    background-color: #970b2f;
    padding: 8px 1rem !important;
    border: 2px solid #970b2f;
}

/* 検索結果の検索条件欄の下 */
.search-tabbox-under {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0.5rem;
    margin-top: 0.25rem;
    margin-bottom: 1rem;
    font-size: 1rem;
    padding: 0 1rem;
}
/* 検索結果の検索条件欄の下のページネーション欄 */
.pagination-group {
    display: flex;
    justify-content: center;
    align-items: center;
}
.pagination-group a, .pagination-group button {
    padding: 2px 10px;
    border: 1px solid #ccc;
    text-decoration: none;
    font-weight: bold;
    color: #333;
    transition: background-color 0.3s ease;
}
.pagination-group button:disabled {
    color: #970b2f;
    border: 1px solid #ccc;
}
.pagination-group a.disabled {
    color: #aaa;
    border: 1px solid #ccc;
    pointer-events: none;
}

/* 検索結果のレイアウト */
.search-results {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.search-result-item {
    display: flex;
    flex-direction: column;
    width: calc(25% - 15px);  /* 横に4つ並べるために、1アイテムの幅を計算 */
    min-height: 22rem;
    background-color: #f9f9f9;
    box-sizing: border-box;
    font-size: 1rem;
    border: 2px solid #970B2F;
    /* border-radius: 10px; */
}
/* 検索結果の名前欄の調整 */
.result-name-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #970B2F;
    color: #fff;
    padding: 10px;
}
.result-name-content strong {
    margin-right: 1rem;
}
.result-name-content img {
    margin-left: 1rem;
}
.result-name-content a {
    color: white;
}
/* 検索結果の情報欄の調整 */
.sample1 {
    border-collapse: collapse;
    table-layout: fixed;
    width: 100%; /* table幅を100%に指定 */
    background: #fff;
    border: none;
}
.sample1 th,
.sample1 td {
    display: block; /* セルをブロック要素に指定 */
    width: 100%; /* セルを親要素いっぱいの幅に指定 */
    border: none;
    font-size: 14px;
    /* vertical-align: top; */
    text-align: left;
    box-sizing: border-box;
}
.sample1 th {
    font-weight: 700;
    color: #970B2F;
    padding-top: 10px;
    padding-left: 10px;
}
.sample1 td {
    padding-top: 4px;
    padding-left: 18px;
}


.result-content-main {
    min-height: 13rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}
.result-item-group {
    padding: 5px 15px 10px 15px;
}
.result-item-content {
    margin-bottom: 5px;
}
.result-item-content strong {
    display: block;
    margin-bottom: 5px;
}

/* 検索結果のカラーバーの調整 */
.result-content-footer {
    height: 7.5rem;
    /* position: relative; */
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}
.color-box {
    width: 10px;
    min-width: 10px;
}
        /* topページ */
@media (max-width: 768px) {
    /* ページ全体の左右に余白を持たせる */
    .display-980 {
        padding-left: 15px;
        padding-right: 15px;
    }

    /* 検索タブボタン */
    .top-tab-button {
        font-size: 1.2rem;
        letter-spacing: 5px;
        font-weight: bold;
        flex: 1;
    }
    .top-tab-button.active {
        font-size: 1.2rem;
        height: 100vh;
        max-height: 80px;
    }

    /* 検索項目を１列に並べる */
    /* collapse内のチェックボックスとラベルを縦並びに表示 */
    .collapse-container .row .col-12 {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }
    .collapse-container .top-checkbox {
        margin-right: 10px;
    }
    .collapse-container .row .col-6 {
        display: flex;
        justify-content: center;
        margin-bottom: 10px;
    }
    
    /* 簡単サーチのキーワード入力フォーム */
    .form-keyword-input {
        width: 100%;
        margin-bottom: 8px;
        margin-right: 0px;
    }
    .form-search-mode {
        width: 40%;
        margin-bottom: 2px;
    }

    /* 詳細検索の名前検索欄レイアウト */
    .form-group {
        width: 100%;
        margin-bottom: 8px;
    }
    .form-check{
        width: 100%;
        margin-bottom: 2px;
    }
    .form-check-label {
        white-space: nowrap; /* 折り返しを防ぐ */
    }

    /* 表示件数 */
    .count-box {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    .count-box label {
        width: 40%;
        margin-right: 10px;
    }
    /* ステップ画像の位置調整 */
    .step-row {
        flex-direction: row;
        /* justify-content: space-between; */
        gap: 0.5rem;
        /* width: 100%; */
        flex-wrap: nowrap;
        text-align: center;
    }
    .step-row .text-center {
        text-align: center;
        width: 33%;  /* 各STEPの要素を横に3つ並べる */
    }
    .step-row img {
        width: 100%;
        height: auto;
        max-width: 130px;
        object-fit: contain;
    }
    .step-row img.arrow {
        max-width: 40px; /* 矢印の画像は固定サイズに */
        /* width: 100%; */
        /* height: auto; */
        object-fit: scale-down !important;
    }
    /* ステップの説明文 */
    .step-description {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        width: 100%; /* 各カラムを100%にして1列に表示 */
        margin-bottom: 1rem; /* 各項目の間に余白 */
    }
}

        /* searchページ */
@media (max-width: 992px) {
    .display-980 {
        padding-left: 0px;
        padding-right: 0px;
    }
    .se-container {
        padding: 16px 0px;
        margin-top: 16px;
    }
    .search-tabbox-under{
        flex-direction: column;
        align-items: center;
    }
    .search-result-item {
        width: calc(100% - 15px); /* 1列に変更 */
    }
    
    /* 検索結果の情報をテーブル形式に変換 */
    .sample1 th,
    .sample1 td {
        display: table-cell; /* デフォルト値に指定 */
        /* border-bottom: 1px solid #ccc; */
        color: #000;
        background: #fff;
    }
    .sample1 th {
        background: #fff; /* thの背景色 */
        border-right: 1px solid #ccc; /* 縦線を追加 */
    }
    .sample1 tr th:first-child {
        width: 90px; /* thの固定幅 */
    }
}

/*  */
.expandable-button {
  display: inline-block;
  position: relative;
  font-family: sans-serif;
}

.toggle-icon {
  margin-left: 10px;
  /* font-weight: bold; */
}

.option-list {
  display: none;
  margin-top: 0;
  padding: 0;
  text-align: left;
}

.option-list label {
  display: block;
  margin-bottom: 5px;
  cursor: pointer;
}

.option-list input[type="checkbox"]::after {
  content: '';
}

.sub-option label {
    position: relative;
    padding-left: 20px; /* ✓のスペース */
    display: inline-block;
}

.sub-option::before {
    content: "";
    display: inline-block;
    width: 1.2em;
    margin-right: 0.3em;
    color: #fff;
}

/* チェックされた選択肢に✓を表示 */
.sub-option input[type="checkbox"]:checked + label::before {
  content: ' ✓';
}

.main-checkbox,
.sub-checkbox {
    display: none;
}

.parent-area.active {
  background-color: #970b2f;
  color: #fff;
  /* padding: 5px; */
  border-radius: 5px;
}

.main-option {
  position: relative;
  padding-left: 20px; /* チェックマークのスペースを確保 */
}

.main-checkbox:checked + label::before {
  content: '✓';
  position: absolute;
  left: 3px;
  top: 0;
}

.main-checkbox:checked + .parent-area.active {
    background-color: #970b2f;
    color: #fff;
}

.system-stop {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50vh;
}